## org.apache.mahout.utils.regex
Class RegexUtils

    java.lang.Object
      org.apache.mahout.utils.regex.RegexUtils

    public final class RegexUtils

extends Object

Field Summary
`static RegexFormatter` `IDENTITY_FORMATTER`
`static RegexTransformer` `IDENTITY_TRANSFORMER`

Method Summary
`static String` `extract(CharSequence line, Pattern pattern, Collection<Integer> groupsToKeep, String separator, RegexTransformer transformer)`
`static void` `extract(CharSequence line, StringBuilder outputBuffer, Pattern pattern, Collection<Integer> groupsToKeep, String separator, RegexTransformer transformer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IDENTITY_TRANSFORMER

    public static final RegexTransformer IDENTITY_TRANSFORMER

### IDENTITY_FORMATTER

    public static final RegexFormatter IDENTITY_FORMATTER

Method Detail

### extract

    public static String extract(CharSequence line,
                                 Pattern pattern,
                                 Collection<Integer> groupsToKeep,
                                 String separator,
                                 RegexTransformer transformer)

### extract

    public static void extract(CharSequence line,
                               StringBuilder outputBuffer,
                               Pattern pattern,
                               Collection<Integer> groupsToKeep,
                               String separator,
                               RegexTransformer transformer)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.